#define	EV_RS232C		0x00	/* RS232C Speed */
#define	EV_PORT			0x01	/* PortOut */
#define	EV_PAGE			0x02	/* PageChange */
#define	EV_ADJUST		0x03	/* TimeAdjust */
#define	EV_ALARM_MODE	0x04	/* AlarmOn/Off/Toggle */
#define	EV_SAMPLING		0x05	/* Sampling */
#define	EV_TIME			0x06	/* Time */
#define	EV_TIMER		0x07	/* Timer */
#define	EV_NUMBER		0x08	/* Number */
#define	EV_CONVERT		0x09	/* Convert */
#define	EV_ALARM		0x0a	/* Alarm */
#define	EV_ALARM_RESET	0x0b	/* AlarmReset */
#define	EV_ALIAS		0x0c	/* Alias */


/*
+0  +1  +2  +3  +4      Total:20byte
AA  XX  XX  XX  XX      AA:AliasCount \̈
CC  CC  NN  AA  AA      CCCC:R[h,NN:i[,AAAA:i[JnAhX(EEPROM)
CC  CC  NN  AA  AA      CCCC:R[h,NN:i[,AAAA:i[JnAhX(EEPROM)
CC  CC  NN  AA  AA      CCCC:R[h,NN:i[,AAAA:i[JnAhX(EEPROM)

+0  +1  +2  +3
AA  AA  BB  BB          2oCggŃGAXf[^(9bit:AhX,7bit:l)


+0  +1  +2  +3  +4  +5  Total:512-20=492byte(492/6=MAX82)
DD  DD  ID1 ID2 AA  AA  DDDD:f[^,ID1,ID2,AAAA:i[JnAhX


ID1       ID2             controldata datafile.dat  rs232c       [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  --------  ----  AAAA:Page,IIII:ID1

ID1       ID2             controldata datafile.dat  out   ch  on/off/toggle [input_off/input_on] [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  --MMMMNN  ----  AAAA:Page,IIII:ID1,MMMM:(),NN:0-3

ID1       ID2             controldata datafile.dat  page  pg/up/down [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  -----NNN  ----  AAAA:Page,IIII:ID1,NNN:(0-2,3:up,4:down)

ID1       ID2             controldata datafile.dat  time_adjust  [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  --------  ----  AAAA:Page,IIII:ID1

ID1       ID2             controldata datafile.dat  alarm_mode toggle/on/off [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  ------NN  ----  AAAA:Page,IIII:ID1,NN:(0:toggle,1:on,2:off)

ID1       ID2             controldata datafile.dat  sampling     [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  --------  ----  AAAA:Page,IIII:ID1

ID1       ID2             controldata datafile.dat  time  [week] [p1/p12/p1234/...] [alias x]...[alias x] [c12]
AAAAIIII  -------N  **--  AAAA:Page,IIII:ID1,N:(0:every,1:week)

ID1       ID2             controldata datafile.dat  timer        [p1/p12/p1234/...] [alias x]...[alias x] [c12]
AAAAIIII  --------  **--  AAAA:Page,IIII:ID1

ID1       ID2             controldata datafile.dat  number  num  [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  ----NNNN  ----  AAAA:Page,IIII:ID1,NNNN:0-9

ID1       ID2             controldata datafile.dat  convert [int] outdatafile.dat 0-15 [p1/p12/p1234/...] [alias x]...[alias x]
AAAAIIII  ---MNNNN  DDDD  AAAA:Page,IIII:ID1,M:(0:ext,1:int),NNNN:0-15

ID1       ID2             controldata datafile.dat  alarm [week] [once] [p1/p12/p1234/...] [alias x]...[alias x] [c12]
AAAAIIII  ------MN  **--  AAAA:Page,IIII:ID1,M:(0:repeat,1:once),N:(0:every,1:week)

ID1       ID2             controldata datafile.dat  alarm_reset  [p1/p12/p1234/...] [alias x]...[alias x] [c12]
AAAAIIII  --------  **--  AAAA:Page,IIII:ID1

ID1       ID2             controldata datafile.dat  alias [num]  [p1/p12/p1234/...] [c12]
AAAAIIII  -NNNNNNN  **--  AAAA:Page,IIII:ID1,NNNNNNN:0-82
*/
